
TYPO3.Flow - Bug # 32823

Status: Resolved Priority: Must have
Author: Sebastian Kurfuerst Category: Security
Created: 2011-12-23 Assigned To: Rens Admiraal
Updated: 2012-05-07 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: FLOW3 1.0.0
Subject: Make combination of Account identifier and authentication provider name globally unique
Description

... this should be enforced through a DB constraint.

Related issues:
related to TYPO3.Flow - Feature # 29547: @identity should make property uniqu... Resolved 2012-04-30
related to TYPO3.Neos - Bug # 30584: setup command should not create account ... Resolved 2011-10-05
related to TYPO3.Flow - Feature # 30933: Check for unique constraints on add() Needs Feedback2011-10-14

History
#1 - 2011-12-23 16:11 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7499

#2 - 2011-12-23 16:19 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7499

#3 - 2012-01-05 12:16 - Karsten Dambekalns
- Assigned To changed from Sebastian Kurfuerst to Rens Admiraal

#4 - 2012-05-07 22:58 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Resolved with the solution for #29547.
